Bug 1420508 - FTBFS in current Rawhide (issue in vigra headers?)
Summary: FTBFS in current Rawhide (issue in vigra headers?)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hugin
Version: 26
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Bruno Postle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Keywords:
Depends On:
Blocks: F26AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2017-02-08 20:47 UTC by Adam Williamson
Modified: 2017-03-02 23:42 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-03-02 23:42:27 UTC


Attachments (Terms of Use)
Log of a failed build attempt on current Rawhide (164.75 KB, text/plain)
2017-02-08 20:49 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2017-02-08 20:47:38 UTC
hugin fails to build in current Rawhide (GCC 7?):

[ 17%] Building CXX object src/hugin_base/CMakeFiles/huginbase.dir/algorithms/nona/NonaFileStitcher.cpp.o
cd /builddir/build/BUILD/hugin-2016.2.0/build/src/hugin_base && /usr/bin/c++   -DGLEW_STATIC -DHUGIN_HSI -Dhuginbase_EXPORTS -I/builddir/build/BUILD/hugin-2016.2.0/build/src -I/builddir/build/BUILD/hugin-2016.2.0/src/hugin_base -I/builddir/build/BUILD/hugin-2016.2.0/src/celeste -I/builddir/build/BUILD/hugin-2016.2.0/build/src/celeste -I/builddir/build/BUILD/hugin-2016.2.0/src -I/usr/include/OpenEXR -I/usr/include/python2.7  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -O2 -g -DNDEBUG -fPIC   -fopenmp -pthread -std=gnu++11 -o CMakeFiles/huginbase.dir/algorithms/nona/NonaFileStitcher.cpp.o -c /builddir/build/BUILD/hugin-2016.2.0/src/hugin_base/algorithms/nona/NonaFileStitcher.cpp
In file included from /usr/include/vigra/resampling_convolution.hxx:46:0,
                 from /usr/include/vigra/resizeimage.hxx:46,
                 from /usr/include/vigra/stdimagefunctions.hxx:74,
                 from /usr/include/vigra/seededregiongrowing.hxx:44,
                 from /builddir/build/BUILD/hugin-2016.2.0/src/hugin_base/vigra_ext/StitchWatershed.h:28,
                 from /builddir/build/BUILD/hugin-2016.2.0/src/hugin_base/nona/Stitcher.h:47,
                 from /builddir/build/BUILD/hugin-2016.2.0/src/hugin_base/algorithms/nona/NonaFileStitcher.cpp:33:
/usr/include/vigra/imagecontainer.hxx: In member function 'void vigra::ImagePyramid<ImageType, Alloc>::swap(const vigra::ImagePyramid<ImageType, Alloc>&)':
/usr/include/vigra/imagecontainer.hxx:769:51: error: no matching function for call to 'swap(int&, const int&)'
         std::swap(lowestLevel_, other.lowestLevel_);
                                                   ^

there are several subsequent warnings and 'notes' related to type issues with that same `std::swap` call. Will attach a full build log. The relevant header is part of the vigra package, so that may be involved too.

hugin needs rebuilding for a Boost soname in Rawhide; at present, it is preventing install of the KDE package set and compose of the KDE live image:

https://koji.fedoraproject.org/koji/taskinfo?taskID=17670782

DEBUG util.py:435:  2017-02-08 10:26:10,139: - package kf5-kipi-plugins-5.4.0-2.fc26.i686 requires hugin-base, but none of the providers can be installed
DEBUG util.py:435:  2017-02-08 10:26:10,139: - package kf5-kipi-plugins-5.4.0-2.fc26.i686 requires hugin-base, but none of the providers can be installed
DEBUG util.py:435:  2017-02-08 10:26:10,139: - nothing provides libboost_system.so.1.60.0 needed by hugin-base-2016.2.0-2.fc26.i686
DEBUG util.py:435:  2017-02-08 10:26:10,140: - nothing provides libboost_system.so.1.60.0 needed by hugin-base-2016.2.0-2.fc26.i686.

that makes this an automatic Alpha blocker: "Bugs which entirely prevent the composition of one or more of the release-blocking images required to be built for a currently-pending (pre-)release" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers (the KDE live is a release-blocking image).

Comment 1 Adam Williamson 2017-02-08 20:49 UTC
Created attachment 1248662 [details]
Log of a failed build attempt on current Rawhide

Comment 2 Fedora End Of Life 2017-02-28 11:13:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Adam Williamson 2017-03-02 23:42:27 UTC
Was successfully built on 2017-02-17:

https://koji.fedoraproject.org/koji/buildinfo?buildID=844654

so closing. We have KDE live composes again, too.


Note You need to log in before you can comment on or make changes to this bug.